package org.artifactory.backup;

import com.google.common.collect.ImmutableMap;
import org.artifactory.schedule.JobName;
import org.artifactory.schedule.TaskBase;
import org.artifactory.schedule.TaskUtils;
import org.testng.Assert;
import org.testng.annotations.Test;

import java.util.Map;

import static org.artifactory.schedule.Task.JOB_NAME;
import static org.mockito.Mockito.spy;
import static org.mockito.Mockito.when;

/**
 *
 * @author Omri Ziv
 */
public class BackupJobTest {

    @Test
    public void testLockName() {
        BackupJob backupJob = spy(new BackupJob());
        TaskBase task = TaskUtils.createRepeatingTask(BackupJob.class, 10L, 10L);
        Map<String, Object> map = ImmutableMap.of(BackupJob.BACKUP_KEY, "backup-key", JOB_NAME, JobName.BACKUP);
        map.forEach(task::addAttribute);

        when(backupJob.getActiveTask()).thenReturn(task);

        Assert.assertEquals(backupJob.getCommandLockKey(), JobName.BACKUP.asText() + "_backup-key");
    }

}
