package org.artifactory.schedule;

import java.util.Arrays;

public enum JobName {
    DEFAULT("general"),
    ARCHIVE_INDEX("archive-index"),
    ARTIFACT_CLEANUP("artifact-cleanup"),
    ARTIFACT_DISTRIBUTION_STATUS("artifact-distribution-status"),
    BACKUP("backup"),
    BINARY_STORE_ERROR_NOTIFICATION("binary-store-error-notification"),
    BINARY_STORE_GARBAGE_COLLECTOR("binary-store-garbage-collector"),
    BUILD_INFO_MIGRATION("build-info-migration"),
    CALL_HOME("call-home"),
    CONAN_V2_MIGRATION("conan-v2-migration"),
    CREDENTIALS_WATCH("credentials-watch"),
    DELETE_EXPIRED_SESSIONS("delete-expired-sessions"),
    DOCKER_V2_TAG_CLEANUP("docker-v2-tag-cleanup"),
    DUMMY("dummy"),
    EXPORT("export"),
    FOLDER_PRUNING("folder-pruning"),
    HAZELCAST_MEMBER_INTRODUCTION("hazelcast-members-introduction"),
    HEARTBEAT("heartbeat"),
    IMPORT("import"),
    INBOUND_REPLICATION_CHANNEL("inbound-replication-channel"),
    INIT_QUEUES_CONTEXT("init-queues-context"),
    INTEGRATION_CLEANUP("integration-cleanup"),
    JOB_TABLE_CLEANUP("job-table-cleanup"),
    MAVEN_INDEXER("maven-indexer"),
    PASSWORD_EXPIRE_NOTIFICATION("password-expire-notification"),
    PLUGIN_COMMAND("plugin-command"),
    PUSH_REPLICATION("push-replication"),
    REFRESHABLE_SCHEDULED("refreshable-scheduled"),
    RELEASE_BUNDLE_CLEANUP("release-bundle-cleanup"),
    RELEASE_EXPIRED_LOCKS("release-expired-locks"),
    REMOTE_REPLICATION("remote-replication"),
    REPO_PATH_CHECKSUM_MIGRATION("repo-path-checksum-migration"),
    SHA_256_MIGRATION("sha-256-migration"),
    STATS_DELEGATING_SERVICE_FLUSH("stats-delegating-service-flush"),
    STATS_PERSISTING_SERVICE_FLUSH("stats-persisting-service-flush"),
    UPDATE_INDICES("update-indices"),
    VIRTUAL_CACHE_CLEANUP("virtual-cache-cleanup"),
    WORK_QUEUE("work-queue"),
    XRAY_INDEX_EVENT("xray-index-event"),
    XRAY_PROPS_CLEANUP("xray-props-cleanup"),
    DOCKER_UPLOADS_FOLDER_CLEANUP("docker-uploads-folder-cleanup"),
    EVENT_LOG_CLEANUP("event-log-cleanup"),
    STORAGE_SUMMARY_CALCULATOR("storage-summary-calculator");
    private String text;

    JobName(String text) {
        this.text = text;
    }

    static JobName of(String fieldName) {
        return Arrays.stream(values())
                .filter(value -> value.text.equals(fieldName))
                .findFirst()
                .orElse(null);
    }

    public String asText() {
        return text;
    }
}
