#!/usr/bin/env bash

set -e

export PROJECT_ROOT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && cd ../../.. && pwd)"

function on_start() {
  ${PROJECT_ROOT_DIR}/build/ci/scripts/javaGenerateConfig.sh
  if ! command -v "rpmbuild"; then
    echo "rpmbuild tool is missing - installing using apt-get..."
    apt-get update && apt-get install -y rpm rsync
    if ! command -v "rpmbuild" ; then
      echo "rpmbuild is not available in path, exiting..."
      exit 1
    fi
  fi
}

function on_execute() {
  return 0
}

function on_complete() {
  return 0
}

function on_success() {
  source "${PROJECT_ROOT_DIR}/build/ci/scripts/lib/dockerUtils.sh"
  local repository="art-docker-dev-local"
  local imageName="jfrog/artifactory-oss"
  local fullImageName
  fullImageName="$(docker_tag "${imageName}")"
  docker_push "$fullImageName"

  local imageTag
  imageTag=$(docker_extractImageTag "$fullImageName")
  write_output artifactory_oss_art_jfrog_io_docker_image sourceRepository="${repository}" imageName="${imageName}" imageTag="${imageTag}"
}