:: This script starts frontend service
::

@echo off
setlocal

goto initialize

:setVariables
    set FRONTEND_SERVICE_NAME=frontend
    set NODE_NAME=node.exe
    set FRONTEND_MAIN_JS=%~dp0\server\dist\bundle.js
    set CONSOLEOUTDIRECTORY=%JF_PRODUCT_HOME%\var\log
    set CONSOLEOUTFILE=%CONSOLEOUTDIRECTORY%\%FRONTEND_SERVICE_NAME%-console.log
EXIT /B 0

:initialize
    call :setVariables

    if exist %JF_PRODUCT_HOME%\app\bin\artifactoryCommon.bat (
        call %JF_PRODUCT_HOME%\app\bin\artifactoryCommon.bat :initNode
    )

    if NOT defined JF_PRODUCT_HOME (
        echo "JF_PRODUCT_HOME environment variable is required to run this script."
        goto :error
    )
    if "%~1" equ "start" (
        shift /1
        goto start
        )
    if "%~1" equ "stop" (
        shift /1
        goto stop
        )
    goto start
EXIT /B 0

:stop
    REM TODO : amithk - find way to terminate node with front end service, right now it terminates node.exe
    REM tasklist /FI "IMAGENAME eq %FRONTEND_SERVICE_NAME%" 2>NUL | find /I /N "%NODE_NAME%">NUL
    REM if "%ERRORLEVEL%"=="0" taskkill /f /im node.exe
    taskkill /f /im %NODE_NAME%
EXIT /B %ERRORLEVEL%

:start
    call :stop >nul 2>&1
    echo Starting service %FRONTEND_SERVICE_NAME% from %NODE% %FRONTEND_MAIN_JS%
    echo.

    if NOT defined NODE (
        echo "NODE is not set, please set it to requested node executable."
        goto :error
    )

    if not exist %CONSOLEOUTDIRECTORY% mkdir %CONSOLEOUTDIRECTORY%
    if not exist %CONSOLEOUTFILE% type nul>%CONSOLEOUTFILE%

    start "%FRONTEND_SERVICE_NAME%-bin" /B  %NODE% %FRONTEND_MAIN_JS% 2>&1 > "%CONSOLEOUTFILE%"
EXIT /B %ERRORLEVEL%

:error
    exit /b 1
:end
    exit /b 0
